# Fetching a list of Resource Requests

Returns resource requests visible to the logged in user by default. When pending_requests_only filter is set
to true, the endpoint returns only pending resource requests.


This endpoint returns structured Resource Requests objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the resource_requests top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /resource_requests
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- approvers (User) - The users available to approver or reject the resource request.
- creator (User) - The person submitting the resource request.
- resource (WorkspaceResource) - The resource the request is intending to assign a user to.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `page` (integer)

  - `pending_requests_only` (boolean)
    Returns only the pending resource requests.

  - `per_page` (integer)

  - `requests_for_approver` (string)
    Returns only the requests where the specified user is the approver.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `resource_requests` (object)

  - `workspace_resources` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


